# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from six import with_metaclass
from azure.core import CaseInsensitiveEnumMeta


class CreatedByType(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """The type of identity that created the resource.
    """

    USER = "User"
    APPLICATION = "Application"
    MANAGED_IDENTITY = "ManagedIdentity"
    KEY = "Key"

class TemplateSpecArtifactKind(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """The kind of artifact.
    """

    #: The artifact represents an embedded Azure Resource Manager template.
    TEMPLATE = "template"

class TemplateSpecExpandKind(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):

    #: Includes version information with the Template Spec.
    VERSIONS = "versions"
